﻿Option Strict On

Partial Public Class MainPage
    Inherits PhoneApplicationPage

    ' Constructor
    Public Sub New()
        InitializeComponent()
    End Sub

    Dim selectSeasonName As String = String.Empty

    Private Sub springButton_Tap(sender As System.Object, e As System.Windows.Input.GestureEventArgs) Handles springButton.Tap
        selectSeasonName = "spring"
        inputHaiku()
    End Sub

    Private Sub summerButton_Tap(sender As System.Object, e As System.Windows.Input.GestureEventArgs) Handles summerButton.Tap
        selectSeasonName = "summer"
        inputHaiku()
    End Sub

    Private Sub autumunButton_Tap(sender As System.Object, e As System.Windows.Input.GestureEventArgs) Handles autumunButton.Tap
        selectSeasonName = "autumn"
        inputHaiku()
    End Sub

    Private Sub winterButton_Tap(sender As System.Object, e As System.Windows.Input.GestureEventArgs) Handles winterButton.Tap
        selectSeasonName = "winter"
        inputHaiku()
    End Sub

    Private Sub inputHaiku()
        NavigationService.Navigate(New Uri("/createHaiku.xaml?Name=" & selectSeasonName, UriKind.Relative))
    End Sub

    Protected Overrides Sub OnNavigatedTo(ByVal e As System.Windows.Navigation.NavigationEventArgs)
        Dim no As Integer = NavigationService.BackStack.Count
        Dim home As String = String.Empty

        If NavigationContext.QueryString.TryGetValue("home", CStr(True)) Then
            For i = 0 To no
                NavigationService.RemoveBackEntry()
                MyBase.OnNavigatedTo(e)
            Next
        End If
    End Sub

    Private Sub helpIcon_Tap(sender As System.Object, e As System.Windows.Input.GestureEventArgs) Handles helpIcon.Tap
        NavigationService.Navigate(New Uri("/DailyHaikuHelp.xaml", UriKind.Relative))
    End Sub
End Class
